hls-graph-2.9.0.0: Haskell Language Server internal graph API

Safe Haskell | None
Language | GHC2021

Development.IDE.Graph.Internal.Options

# Documentation

data ShakeOptions #

Constructors

ShakeOptions |
Fields shakeExtra :: Maybe Dynamic shakeAllowRedefineRules :: Bool shakeTimings :: Bool

shakeOptions :: ShakeOptions #

getShakeExtra :: Typeable a => Action (Maybe a) #

getShakeExtraRules :: Typeable a => Rules (Maybe a) #

newShakeExtra :: Typeable a => a -> Maybe Dynamic #